## ocaml-multicoretests 0.4

=== debian/changelog ===
ocaml-multicoretests (0.4-2) unstable; urgency=medium

  * Fix Vcs-* typo
  * Skip autopkgtests on riscv64

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 15 Jan 2025 09:41:46 +0000

ocaml-multicoretests (0.4-1) unstable; urgency=medium

  * Initial release. 

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 07 Jan 2025 09:15:46 +0000

## ocaml-multicoretests 0.10

=== Makefile ===
all:
	dune build

clean:
	dune clean
	rm -f *~ src/*~ issues/*~

## ocaml-multicoretests 0.7

=== debian/changelog ===
ocaml-multicoretests (0.7-3) unstable; urgency=medium

  * Team upload
  * Skip autopkgtests if $(nproc) < 3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Mar 2025 07:31:18 +0100

ocaml-multicoretests (0.7-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Santiago Vila ]
  * Do not run test suite when #CPUs < 3 (Closes: #1101243)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Mar 2025 16:33:06 +0100

ocaml-multicoretests (0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Feb 2025 07:58:30 +0100

=== debian/control ===
Source: ocaml-multicoretests
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libqcheck-core-ocaml-dev,
               ocaml
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/mutlicoretests
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-multicoretests
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-multicoretests.git

Package: libmulticoretests-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: randomized test suite of the OCaml standard library
 Property-based tests of parts of the OCaml multicore
 compiler and run time.

Package: libqcheck-lin-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: QCheck module testing sequential consistency
 Allows for testing an API for sequential consistency. I.e.
 it performs a sequence of random commands in parallel,
 records the results and checks whether the observed results
 can be liniarized and reconciled with some sequential
 execution. The library offers an embedded, combinator DSL
 to describe signatures succinctly.

Package: libqcheck-multicoretests-util-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: QCheck helper functions for testing multicore programs
 a small library of utility functions for QCheck-based
 testing of multicore programs.

Package: libqcheck-stm-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: QCheck module testing parallel state-machines
 STM contains a revision of qcstm extended to run parallel
 state-machine tests akin to Erlang QuickCheck, Haskell
 Hedgehog, ScalaCheck. To do so, the STM library performs a
 sequence of random operations in parallel and records the
 results. STM then checks whether the observed results are
 linearizable by reconciling them with a sequential
 execution of a model description. The model expresses the
 intended meaning of each tested command.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/@ANY_VERSION@@ARCHIVE_EXT/ocaml-multicoretests-$1\.tar\.gz/ \
  https://github.com/ocaml-multicore/multicoretests/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## ocaml-multicoretests 0.9

=== debian/changelog ===
ocaml-multicoretests (0.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix typo in Homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libqcheck-core-ocaml-dev,
                ocaml
 Standards-Version: 4.7.0
-Homepage: https://github.com/ocaml-multicore/mutlicoretests
+Homepage: https://github.com/ocaml-multicore/multicoretests
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-multicoretests
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-multicoretests.git

## ocaml-multicoretests 0.10

=== debian/changelog ===
ocaml-multicoretests (0.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 12:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                ocaml-dune (>= 2.8.0),
                dh-ocaml (>= 1.2.2),
                libqcheck-core-ocaml-dev,
                ocaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ocaml-multicore/multicoretests
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-multicoretests
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-multicoretests.git

=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-multicore/multicoretests/tags
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@

## ocaml-multicoretests 0.11

=== debian/changelog ===
ocaml-multicoretests (0.11-1) unstable; urgency=medium

  * New upstream version 0.11

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 04 Nov 2025 18:12:27 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk
export RUN_EXPERIMENTAL_TESTS=false

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
	[ $$(nproc) -lt 3 ] || dh_auto_test
